#
#  Software in webpage (c) PopCap / Electronic Arts, Inc.
#  Terms: http://tos.ea.com/legalapp/WEBTERMS/US/en/PC/
#
#  THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES; 
#  INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND 
#  FITNESS FOR A PARTICULAR PURPOSE.

#  Provided for test purposes.

module PopCap
  module Bejeweled

    unless defined?(@@loaded)
      VERSION = "1.0.0"
      WIN =( RUBY_PLATFORM =~ /darwin/i ? false : true )
      OSX =( not WIN )
      @@loaded = false
    end

    class << self

      @dlg = nil

      def game()
        unless @dlg
          @dlg = UI::WebDialog.new( "PopCap: Bejeweled", false, "Bejeweled", 932, 736, 15, 15, true )
          @dlg.set_url( "http://bejeweled.popcap.com/html5" )#/0.9.12.9490/html5/Bejeweled.html" )
        end
        show()
      end

      def show()
        if @dlg.visible?
          @dlg.bring_to_front
        else
          WIN ? @dlg.show : @dlg.show_modal
        end
      end
    
    end # proxy class

    unless @@loaded
      UI::menu("Plugins").add_item("Bejeweled") { game() }
      @@loaded = true
    end

  end # Bejeweled
end # module